Subject: Re: [PATCH] cg-completion: improve options and command listing

From: Jonas Fonseca <[email-masked]>
Date: Sun, 18 Dec 2005 15:34:39 +0100

Ben Clifford <[email-masked]> wrote Sun, Dec 18, 2005:
> 
> On 12 Dec 2005, at 04:39, Jonas Fonseca wrote:
> 
> >Complete help options and improve filtering for command name  
> >completion.
> >
> >Signed-off-by: Jonas Fonseca <[email-masked]>
> >
> 
> Hi. I've applied this patch to the dev branch cg-compl in my  
> gitcompletion repo.
> 
> I'm interested by what you mean by 'all sorts of garbage' - it seems  
> ok on my machine.

~/src/cogito/cogito > __cg_cmdlist | head
        cg-add             Add files to the GIT repository.
        cg-clean           Clean unknown files from the working tree.
        cg-clone           Clone a remote GIT repository.
        cg-commit          Commit into a GIT repository.
        cg-diff            Make a diff between two GIT trees.
        cg-export          Exports a particular revision from a GIT repository.
        cg-fetch           Fetch changes from a remote branch to the local GIT repository.
        cg-help            Show help for Cogito commands.
        cg-init            Initialize a GIT repository.
        cg-log             Make a log of changes in a GIT branch.

Else I was thinking of maybe adding --list parameter to cg-help to have
it list all known commands.

-- 
Jonas Fonseca